# Create Endpoint - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpus-v2-create-endpoint

# Create Endpoint

POST

/

gpus

/

v2

/

endpoints

Try it

Create Endpoint

cURL

```
curl --request POST \
--url https://api.novita.ai/gpus/v2/endpoints \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"type": "sync",
"name": "example-endpoint",
"product_id": "product-id",
"image": "registry.example.com/namespace/image:tag",
"worker_config": {
"max_replicas": 2,
"min_replicas": 0,
"idle_timeout": 300,
"max_concurrent_per_worker": 10,
"gpu_num": 1,
"rootfs_size_gb": 20,
"min_cuda_version": "12.4",
"request_timeout": 60
},
"app_name": "example-app",
"registry_auth_id": "registry-auth-id",
"entrypoint": "",
"command": "",
"policy": {
"type": "queue",
"value": 100
},
"volumes": [
{
"id": "storage-id",
"type": "network",
"size": 123,
"mount_point": "/data"
}
],
"envs": [
{
"key": "ENV_NAME",
"value": "ENV_VALUE"
}
],
"ports": [
8080
],
"health_check": {
"path": "/healthz",
"port": 8080
},
"region_id": "region-id"
}
'
```

```
import requestsurl = "https://api.novita.ai/gpus/v2/endpoints"payload = { "type": "sync", "name": "example-endpoint", "product_id": "product-id", "image": "registry.example.com/namespace/image:tag", "worker_config": { "max_replicas": 2, "min_replicas": 0, "idle_timeout": 300, "max_concurrent_per_worker": 10, "gpu_num": 1, "rootfs_size_gb": 20, "min_cuda_version": "12.4", "request_timeout": 60 }, "app_name": "example-app", "registry_auth_id": "registry-auth-id", "entrypoint": "", "command": "", "policy": { "type": "queue", "value": 100 }, "volumes": [ { "id": "storage-id", "type": "network", "size": 123, "mount_point": "/data" } ], "envs": [ { "key": "ENV_NAME", "value": "ENV_VALUE" } ], "ports": [8080], "health_check": { "path": "/healthz", "port": 8080 }, "region_id": "region-id"}headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.post(url, json=payload, headers=headers)print(response.text)
```

```
const options = { method: 'POST', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}, body: JSON.stringify({ type: 'sync', name: 'example-endpoint', product_id: 'product-id', image: 'registry.example.com/namespace/image:tag', worker_config: { max_replicas: 2, min_replicas: 0, idle_timeout: 300, max_concurrent_per_worker: 10, gpu_num: 1, rootfs_size_gb: 20, min_cuda_version: '12.4', request_timeout: 60 }, app_name: 'example-app', registry_auth_id: 'registry-auth-id', entrypoint: '', command: '', policy: {type: 'queue', value: 100}, volumes: [{id: 'storage-id', type: 'network', size: 123, mount_point: '/data'}], envs: [{key: 'ENV_NAME', value: 'ENV_VALUE'}], ports: [8080], health_check: {path: '/healthz', port: 8080}, region_id: 'region-id' })};fetch('https://api.novita.ai/gpus/v2/endpoints', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/gpus/v2/endpoints", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'type' => 'sync', 'name' => 'example-endpoint', 'product_id' => 'product-id', 'image' => 'registry.example.com/namespace/image:tag', 'worker_config' => [ 'max_replicas' => 2, 'min_replicas' => 0, 'idle_timeout' => 300, 'max_concurrent_per_worker' => 10, 'gpu_num' => 1, 'rootfs_size_gb' => 20, 'min_cuda_version' => '12.4', 'request_timeout' => 60 ], 'app_name' => 'example-app', 'registry_auth_id' => 'registry-auth-id', 'entrypoint' => '', 'command' => '', 'policy' => [ 'type' => 'queue', 'value' => 100 ], 'volumes' => [ [ 'id' => 'storage-id', 'type' => 'network', 'size' => 123, 'mount_point' => '/data' ] ], 'envs' => [ [ 'key' => 'ENV_NAME', 'value' => 'ENV_VALUE' ] ], 'ports' => [ 8080 ], 'health_check' => [ 'path' => '/healthz', 'port' => 8080 ], 'region_id' => 'region-id' ]), CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"strings"	"net/http"	"io")func main() {	url := "https://api.novita.ai/gpus/v2/endpoints"	payload := strings.NewReader("{\n \"type\": \"sync\",\n \"name\": \"example-endpoint\",\n \"product_id\": \"product-id\",\n \"image\": \"registry.example.com/namespace/image:tag\",\n \"worker_config\": {\n \"max_replicas\": 2,\n \"min_replicas\": 0,\n \"idle_timeout\": 300,\n \"max_concurrent_per_worker\": 10,\n \"gpu_num\": 1,\n \"rootfs_size_gb\": 20,\n \"min_cuda_version\": \"12.4\",\n \"request_timeout\": 60\n },\n \"app_name\": \"example-app\",\n \"registry_auth_id\": \"registry-auth-id\",\n \"entrypoint\": \"\",\n \"command\": \"\",\n \"policy\": {\n \"type\": \"queue\",\n \"value\": 100\n },\n \"volumes\": [\n {\n \"id\": \"storage-id\",\n \"type\": \"network\",\n \"size\": 123,\n \"mount_point\": \"/data\"\n }\n ],\n \"envs\": [\n {\n \"key\": \"ENV_NAME\",\n \"value\": \"ENV_VALUE\"\n }\n ],\n \"ports\": [\n 8080\n ],\n \"health_check\": {\n \"path\": \"/healthz\",\n \"port\": 8080\n },\n \"region_id\": \"region-id\"\n}")	req, _ := http.NewRequest("POST", url, payload)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.post("https://api.novita.ai/gpus/v2/endpoints") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .body("{\n \"type\": \"sync\",\n \"name\": \"example-endpoint\",\n \"product_id\": \"product-id\",\n \"image\": \"registry.example.com/namespace/image:tag\",\n \"worker_config\": {\n \"max_replicas\": 2,\n \"min_replicas\": 0,\n \"idle_timeout\": 300,\n \"max_concurrent_per_worker\": 10,\n \"gpu_num\": 1,\n \"rootfs_size_gb\": 20,\n \"min_cuda_version\": \"12.4\",\n \"request_timeout\": 60\n },\n \"app_name\": \"example-app\",\n \"registry_auth_id\": \"registry-auth-id\",\n \"entrypoint\": \"\",\n \"command\": \"\",\n \"policy\": {\n \"type\": \"queue\",\n \"value\": 100\n },\n \"volumes\": [\n {\n \"id\": \"storage-id\",\n \"type\": \"network\",\n \"size\": 123,\n \"mount_point\": \"/data\"\n }\n ],\n \"envs\": [\n {\n \"key\": \"ENV_NAME\",\n \"value\": \"ENV_VALUE\"\n }\n ],\n \"ports\": [\n 8080\n ],\n \"health_check\": {\n \"path\": \"/healthz\",\n \"port\": 8080\n },\n \"region_id\": \"region-id\"\n}") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/gpus/v2/endpoints")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Post.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'request.body = "{\n \"type\": \"sync\",\n \"name\": \"example-endpoint\",\n \"product_id\": \"product-id\",\n \"image\": \"registry.example.com/namespace/image:tag\",\n \"worker_config\": {\n \"max_replicas\": 2,\n \"min_replicas\": 0,\n \"idle_timeout\": 300,\n \"max_concurrent_per_worker\": 10,\n \"gpu_num\": 1,\n \"rootfs_size_gb\": 20,\n \"min_cuda_version\": \"12.4\",\n \"request_timeout\": 60\n },\n \"app_name\": \"example-app\",\n \"registry_auth_id\": \"registry-auth-id\",\n \"entrypoint\": \"\",\n \"command\": \"\",\n \"policy\": {\n \"type\": \"queue\",\n \"value\": 100\n },\n \"volumes\": [\n {\n \"id\": \"storage-id\",\n \"type\": \"network\",\n \"size\": 123,\n \"mount_point\": \"/data\"\n }\n ],\n \"envs\": [\n {\n \"key\": \"ENV_NAME\",\n \"value\": \"ENV_VALUE\"\n }\n ],\n \"ports\": [\n 8080\n ],\n \"health_check\": {\n \"path\": \"/healthz\",\n \"port\": 8080\n },\n \"region_id\": \"region-id\"\n}"response = http.request(request)puts response.read_body
```

200

```
{
"id": "endpoint-id"
}
```

#### Headers

[​](#parameter-content-type)

Content-Type

string

required

Allowed value: application/json.

[​](#parameter-authorization)

Authorization

string

required

Bearer authentication format, e.g.: `Bearer {{API_KEY}}`.

#### Body

application/json

[​](#body-type)

type

enum<string>

required

Endpoint type. Allowed values: `sync`, `async`.

Available options:

`sync`,

`async`

Example:

`"sync"`

[​](#body-name)

name

string

required

Endpoint name. String, length: 1-255 characters.

Example:

`"example-endpoint"`

[​](#body-product-id)

product_id

string

required

Serverless product ID. String, length: 1-255 characters.

Example:

`"product-id"`

[​](#body-image)

image

string

required

Image address. String, length: 1-500 characters.

Example:

`"registry.example.com/namespace/image:tag"`

[​](#body-worker-config)

worker_config

object

required

Worker configuration.

Show child attributes

[​](#body-app-name)

app_name

string

Application name. String, length: 0-255 characters.

Example:

`"example-app"`

[​](#body-registry-auth-id)

registry_auth_id

string

Saved registry authentication ID. String, length: 0-255 characters.

Example:

`"registry-auth-id"`

[​](#body-entrypoint)

entrypoint

string

Container entrypoint.

Example:

`""`

[​](#body-command)

command

string

Startup command.

Example:

`""`

[​](#body-policy)

policy

object

Scheduling / request policy.

Show child attributes

[​](#body-volumes)

volumes

object[]

Mount list.

Show child attributes

[​](#body-envs)

envs

object[]

Environment variable list.

Show child attributes

[​](#body-ports)

ports

integer[]

Port list. Each value in range: [1, 65535].

Example:

```
[8080]
```

[​](#body-health-check)

health_check

object

Health check configuration.

Show child attributes

[​](#body-region-id)

region_id

string

Region ID.

Example:

`"region-id"`

#### Response

200 - application/json

OK

[​](#response-id)

id

string

ID of the created Endpoint

Example:

`"endpoint-id"`

Last modified on June 23, 2026
